Skip to main content
POST
Generate Database Schema Descriptions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source_id
string<uuid> | null
required
database_id
string<uuid>
required

Query Parameters

organization_id
string<uuid> | null
resource_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json

Request for bulk database schema description generation.

overwrite_existing
boolean
default:false

Regenerate descriptions for schemas that already have them

cascade_tables
boolean
default:true

Generate missing table/column descriptions first

Response

Successful Response